## ffc64v1 1.0-2

=== Makefile ===
# Makefile for Fujitsu Fortran Driver ver.1 postinstall procedure
#
# 2009/01/08 Y.SASAKI
#
#  This makefile links executables, library files, and manuals 
#  to the oridinal desitination of the Debian/GNU Linux system. 
#
#  Src directories
#
SRCDIR=/opt/FJSVplang
BINSRC=$(SRCDIR)/bin
LIBSRC=$(SRCDIR)
LIBSUBDIRS=lib lib64
MANSRC=$(SRCDIR)/man
MANSUBDIRS=man1 man3 ja/man1 ja/man3
DOCSRC=$(SRCDIR)/manual/japanese
DOCSUBDIRS=BLAS C Fortran  SSL2  Tool

#
#  Install Destination
#
DESTDIR=/RAID0/home/uwabami/pbuild/ffc64v1-1.0/debian/ffc64v1
#
DESTBIN=$(DESTDIR)/usr/bin
DESTLIB=$(DESTDIR)/usr
DESTMAN=$(DESTDIR)/usr/share/man
DESTDOC=$(DESTDIR)/usr/share/doc/ffc64v1
#
#  Do not change below
#
check::	check-bin check-lib check-man check-doc

check-bin:
	@echo "Checking binary files"
	@for i in `ls $(BINSRC)` ; do \
	    if [ -x $(BINSRC)/$$i ]; then \
		if [ -e $(DESTBIN)/$$i ] ; then \
		    echo "$(DESTBIN)/$$i already exists" ;\
		fi ;\
	    fi ;\
	done

check-lib:
	@echo "Checking library files"
	@for j in $(LIBSUBDIRS) ; do \
	     for i in `ls $(LIBSRC)/$$j` ; do \
		if [ -e $(DESTLIB)/$$j/$$i ]; then \
		    echo "$(DESTLIB)/$$j/$$i already exists"; \
		fi ;\
	     done; \
	done

check-man:
	@echo "Checking man files"
	@for j in $(MANSUBDIRS) ; do \
	     for i in `ls $(MANSRC)/$$j` ; do \
		if [ -e $(DESTMAN)/$$j/$$i ]; then \
		    echo "$(DESTMAN)/$$j/$$i already exists"; \
		fi ;\
	     done; \
	done

check-doc:
	@echo "Checking doc files"
	@for j in $(DOCSUBDIRS) ; do \
	     for i in `ls $(DOCSRC)/$$j` ; do \
		if [ -e $(DESTDOC)/$$j/$$i ]; then \
		    echo "$(DESTDOC)/$$j/$$i already exists"; \
		fi ;\
	     done; \
	done

install:: install-bin install-lib install-man install-doc 

install-bin:
	@echo "Linking binary files"
	@for i in `ls $(BINSRC)` ; do \
	    if [ -x $(BINSRC)/$$i ]; then \
		ln -s $(BINSRC)/$$i $(DESTBIN)/$${i}; \
	    fi ;\
	done

install-lib:
	@echo "Linking library files"
	@for j in $(LIBSUBDIRS) ; do \
	     for i in `ls $(LIBSRC)/$$j` ; do \
               ln -s $(LIBSRC)/$$j/$$i $(DESTLIB)/$$j/$$i; \
	    done ;\
	done

install-man:
	@echo "Linking man files"
	@for j in $(MANSUBDIRS) ; do \
	     for i in `ls $(MANSRC)/$$j` ; do \
		ln -s $(MANSRC)/$$j/$$i $(DESTMAN)/$$j/$$i ; \
	     done; \
	done

install-doc:
	@echo "Linking doc files"
	@for j in $(DOCSUBDIRS) ; do \
	     for i in `ls $(DOCSRC)/$$j` ; do \
		ln -s $(DOCSRC)/$$j/$$i $(DESTDOC)/$$j/$$i ; \
	     done; \
	done

uninstall:: uninstall-bin uninstall-lib uninstall-man uninstall-doc 

uninstall-bin:
	@echo "Uninstall binary files"
	@for i in `ls $(BINSRC)` ; do \
	    if [ -x $(BINSRC)/$$i ]; then \
		$(RM) $(DESTBIN)/$${i}; \
	    fi ;\
	done

uninstall-lib:
	@echo "Uninstall library files"
	@for j in $(LIBSUBDIRS) ; do \
             for i in `ls $(LIBSRC)/$$j ` ; do \
                $(RM) $(DESTLIB)/$$j/$$i ; \
             done; \
	done

uninstall-man:
	@echo "Uninstall man files"
	@for j in $(MANSUBDIRS) ; do \
	     for i in `ls $(MANSRC)/$$j` ; do \
		$(RM) $(DESTMAN)/$$j/$$i ; \
	     done; \
	done

uninstall-doc:
	@echo "Uninstall doc files"
	@for j in $(DOCSUBDIRS) ; do \
	     for i in `ls $(DOCSRC)/$$j` ; do \
		$(RM) $(DESTDOC)/$$j/$$i ; \
	     done; \
	done

clean:
	-$(RM) *~

## ffc64v1 1.0-1

=== debian/changelog ===
ffc64v1 (1.0-1) unstable; urgency=low

  * New upstreame release

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 08 Jan 2009 16:40:38 +0900

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: ffc64v1
Section: devel
Priority: optional
Build-Depends: debhelper(>=5.0), cdbs
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Standards-Version: 3.8.0

Package: ffc64v1
Architecture: any
Depends: ${shlibs:Depends}
Description: Fujitsu Fortran&C Compiler (installer)
 Installer for Fujitsu Fortran&C Compiler. This package 
 produces symbolic links of original files to a normal debian directories, 
 such as /usr/bin, /usr/lib, /usr/share/man and /usr/share/doc. 
 You should install FFC package to a normal directory before installing 
 this packages. 
 .
